console.log('\nSpawning server process...');
const { spawn } = require('child_process');

module.exports = async function () {
  const child = spawn('node', ['server.cjs']);

  child.stdout.on('data', (data) => {
    console.log(`${data}`);
  });

  globalThis.__INTEG_TEST_SERVER_PID__ = child.pid;

  child.stderr.on('data', (data) => {
    const str = data.toString();
    console.log('[server]', str);
    if (str.includes('localhost:3005')) {
      setTimeout(resolve, 200);
    }
  });
};
